# -*- coding: utf-8 -*-
from setuphelpers import *
import subprocess

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('xournalpp-*-windows.exe')[0]
    # Installing the software
    path_to_xournal = makepath(programfiles,"Xournal++","bin","xournalpp.exe")

    if force or not isfile(path_to_xournal) or Version(get_file_properties(path_to_xournal)['ProductVersion']) < control.get_software_version(): 
  
        install_exe_if_needed(bin_name,
            silentflags='/S /allusers',
            min_version= control.get_software_version(),
        )
    else:
        print('Skip Xournal++ already install')

    if not isfile(path_to_xournal) or Version(get_file_properties(path_to_xournal)['ProductVersion']) < control.get_software_version(): 
        error("Xournal++ not install")
    
def uninstall():
    uninstall_exe_path =  makepath(programfiles,'Xournal++','Uninstall.exe')
    
    # Exécutez le programme de désinstallation avec l'option /S pour une désinstallation silencieuse
    subprocess.run([uninstall_exe_path, '/S'], shell=True)

